Subject: Citrus pathologists?

From: h9492010@hkusua (Wright Jacqueline Gilda)
Date: Wed, 26 Jul 1995 05:20:34 GMT

I am curious to know if there are any citrus pathologists or biologists
 who read this newsgroup?  If so, do you know anything about citrus stem
 end rot in your area.  I am doing my PhD on citrus stem end rot and its
 mode of infection and I'd like to sample both in the U.S. and South
 Africa or any other major citrus growing region in the world.  Anyway
  Here's my E-mail number: [email-masked]